image: python:alpine

before_script:
  - apk add --no-cache --virtual .build-deps gcc musl-dev
  - apk add git
  - pip install -U -r requirements.txt
  - apk del .build-deps

pages:
  script:
  - mkdocs build
  - mv site public
  artifacts:
    paths:
    - public
  only:
  - master

